package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.BisAcciRecRep;

/**
 * 事故督办 数据层
 */
@Mapper
public interface BisAcciRecRepMapper {

    /**
     * 查询事故督办信息
     * @param guid 查询条件
     * @return 事故督办信息
     */
    BisAcciRecRep selectBisAcciRecRepByGuid(String guid);

    /**
     * 查询事故督办列表
     * @param bisAcciRecRep 事故督办查询条件
     * @return 事故督办集合
     */
    List<BisAcciRecRep> selectBisAcciRecRepList(BisAcciRecRep bisAcciRecRep);

    /**
     * 新增事故督办
     * @param bisAcciRecRep 事故督办信息
     * @return 影响行数
     */
    int insertBisAcciRecRep(BisAcciRecRep bisAcciRecRep);

    /**
     * 修改事故督办
     * @param bisAcciRecRep 事故督办信息
     * @return 影响行数
     */
    int updateBisAcciRecRep(BisAcciRecRep bisAcciRecRep);

    /**
     * 删除事故督办
     * @param guid 事故督办主键
     * @return 影响行数
     */
    int deleteBisAcciRecRepByGuid(String guid);

    /**
     * 批量删除事故督办
     * @param guids 事故督办主键数组
     * @return 影响行数
     */
    int deleteBisAcciRecRepByGuids(String[] guids);
}
